net.i2p.crypto

## Class CryptoConstants

- java.lang.Object
- - net.i2p.crypto.CryptoConstants

-     public class CryptoConstants
      extends Object

  Prime for ElGamal from http://tools.ietf.org/html/rfc3526 Primes for DSA: Generated by TheCrypto http://article.gmane.org/gmane.comp.security.invisiblenet.iip.devel/343

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BigInteger` | `dsag`
    `static BigInteger` | `dsap`
    `static BigInteger` | `dsaq`
    `static BigInteger` | `elgg`
    `static BigInteger` | `elgp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CryptoConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dsap

          public static final BigInteger dsap

    - #### dsaq

          public static final BigInteger dsaq

    - #### dsag

          public static final BigInteger dsag

    - #### elgp

          public static final BigInteger elgp

    - #### elgg

          public static final BigInteger elgg

  - ### Constructor Detail

    - #### CryptoConstants

          public CryptoConstants()